org.infinispan.schematic.internal.document

## Class DefaultDocumentValueFactory

- java.lang.Object
- - org.infinispan.schematic.internal.document.DefaultDocumentValueFactory

- All Implemented Interfaces:
    Serializable, DocumentValueFactory

      public class DefaultDocumentValueFactory
      extends Object
      implements DocumentValueFactory, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentValueFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDocumentValueFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Binary` | `createBinary(byte type, byte[] data)`
    `Boolean` | `createBoolean(boolean value)`
    `Code` | `createCode(String code)`
    `CodeWithScope` | `createCode(String code, Document scope)`
    `Date` | `createDate(long millis)`
    `Date` | `createDate(String iso)`
    `Double` | `createDouble(double value)`
    `Integer` | `createInt(int value)`
    `Long` | `createLong(long value)`
    `Object` | `createNull()`
    `ObjectId` | `createObjectId(byte[] bytes)`
    `ObjectId` | `createObjectId(int time, int machine, int process, int inc)`
    `ObjectId` | `createObjectId(String hex)`
    `Pattern` | `createRegex(String pattern, int flags)`
    `Pattern` | `createRegex(String pattern, String flags)`
    `String` | `createString(String value)`
    `Symbol` | `createSymbol(String value)`
    `Timestamp` | `createTimestamp(int time, int inc)`
    `UUID` | `createUuid(long part1, long part2)`
    `UUID` | `createUuid(String uuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DocumentValueFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultDocumentValueFactory

          public DefaultDocumentValueFactory()

  - ### Method Detail

    - #### createString

          public String createString(String value)

      Specified by:
        `createString` in interface `DocumentValueFactory`

    - #### createInt

          public Integer createInt(int value)

      Specified by:
        `createInt` in interface `DocumentValueFactory`

    - #### createLong

          public Long createLong(long value)

      Specified by:
        `createLong` in interface `DocumentValueFactory`

    - #### createBoolean

          public Boolean createBoolean(boolean value)

      Specified by:
        `createBoolean` in interface `DocumentValueFactory`

    - #### createDouble

          public Double createDouble(double value)

      Specified by:
        `createDouble` in interface `DocumentValueFactory`

    - #### createDate

          public Date createDate(String iso)
                          throws ParseException

      Specified by:
        `createDate` in interface `DocumentValueFactory`
      Throws:
        `ParseException`

    - #### createDate

          public Date createDate(long millis)

      Specified by:
        `createDate` in interface `DocumentValueFactory`

    - #### createTimestamp

          public Timestamp createTimestamp(int time,
                                  int inc)

      Specified by:
        `createTimestamp` in interface `DocumentValueFactory`

    - #### createObjectId

          public ObjectId createObjectId(String hex)

      Specified by:
        `createObjectId` in interface `DocumentValueFactory`

    - #### createObjectId

          public ObjectId createObjectId(byte[] bytes)

      Specified by:
        `createObjectId` in interface `DocumentValueFactory`

    - #### createObjectId

          public ObjectId createObjectId(int time,
                                int machine,
                                int process,
                                int inc)

      Specified by:
        `createObjectId` in interface `DocumentValueFactory`

    - #### createSymbol

          public Symbol createSymbol(String value)

      Specified by:
        `createSymbol` in interface `DocumentValueFactory`

    - #### createRegex

          public Pattern createRegex(String pattern,
                            String flags)

      Specified by:
        `createRegex` in interface `DocumentValueFactory`

    - #### createRegex

          public Pattern createRegex(String pattern,
                            int flags)

      Specified by:
        `createRegex` in interface `DocumentValueFactory`

    - #### createNull

          public Object createNull()

      Specified by:
        `createNull` in interface `DocumentValueFactory`

    - #### createBinary

          public Binary createBinary(byte type,
                            byte[] data)

      Specified by:
        `createBinary` in interface `DocumentValueFactory`

    - #### createUuid

          public UUID createUuid(String uuid)

      Specified by:
        `createUuid` in interface `DocumentValueFactory`

    - #### createUuid

          public UUID createUuid(long part1,
                        long part2)

      Specified by:
        `createUuid` in interface `DocumentValueFactory`

    - #### createCode

          public Code createCode(String code)

      Specified by:
        `createCode` in interface `DocumentValueFactory`

    - #### createCode

          public CodeWithScope createCode(String code,
                                 Document scope)

      Specified by:
        `createCode` in interface `DocumentValueFactory`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.